Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -15039,38 +14899,38 @@
                  'calcul_iso_surf_ter 2952', &
                          errmax,errmaxrel)
-                if (qsol_avant_evap(i).gt.ridicule_qsol) then
+                if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
                   if (iso_verif_egalite_choix_nostop(( &
                     xtsol_avant_evap(iso_eau,i)/qsol_avant_evap(i)), &
                     1.0,'calcul_iso_surf_ter 2952', &
-                    errmax,errmaxrel*10).eq.1) then
-                      write(*,*) 'xtsol_avant_evap(iso_eau,i)=', &
+                    errmax,errmaxrel*10).eq.1) THEN
+                      WRITE(*,*) 'xtsol_avant_evap(iso_eau,i)=', &
                          xtsol_avant_evap(iso_eau,i)
-                      write(*,*) 'qsol_avant_evap(i)=', &
+                      WRITE(*,*) 'qsol_avant_evap(i)=', &
                          qsol_avant_evap(i)
-                      write(*,*) 'xtsol_prec(iso_eau,i)=', &
+                      WRITE(*,*) 'xtsol_prec(iso_eau,i)=', &
                          xtsol_prec(iso_eau,i)
-                      write(*,*) 'qsol_prec(i)=', &
+                      WRITE(*,*) 'qsol_prec(i)=', &
                          qsol_prec(i)
-                      write(*,*) 'xtprecip_rain_eff(iso_eau,i)=', &
+                      WRITE(*,*) 'xtprecip_rain_eff(iso_eau,i)=', &
                          xtprecip_rain_eff(iso_eau,i)
-                      write(*,*) 'precip_rain_eff(i)=',& 
+                      WRITE(*,*) 'precip_rain_eff(i)=',&
                          precip_rain_eff(i)
-                      write(*,*) 'fxt_fonte_neige_eff(iso_eau,i)=', &
+                      WRITE(*,*) 'fxt_fonte_neige_eff(iso_eau,i)=', &
                          fxt_fonte_neige_eff(iso_eau,i)
-                      write(*,*) 'fq_fonte_neige_eff(i)=', &
+                      WRITE(*,*) 'fq_fonte_neige_eff(i)=', &
                          fq_fonte_neige_eff(i)
                       stop                 
                   endif !if (iso_verif_egalite_choix(
-                endif !if (qsol(i).gt.ridicule_qsol) then
-              endif !if (iso_eau.gt.0) then  
-              if (iso_HDO.gt.0) then  
-                if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) then
+                endif !if (qsol(i).gt.ridicule_qsol) THEN
+              endif !if (iso_eau.gt.0) THEN
+              if (iso_HDO.gt.0) THEN
+                if (qsol_avant_evap(i).gt.ridicule_qsol*1e2) THEN
                   CALL iso_verif_aberrant(( &
                  xtsol_avant_evap(iso_HDO,i)/qsol_avant_evap(i)) &
                         /faccond ,'calcul_iso_surf_ter 3181')
-                endif !if (qsol(i).gt.ridicule_qsol) then
-              endif  !if (iso_HDO.gt.0) then
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-               if (qsol_avant_evap(i).gt.ridicule_qsol) then
+                endif !if (qsol(i).gt.ridicule_qsol) THEN
+              endif  !if (iso_HDO.gt.0) THEN
+              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+               if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
                    CALL iso_verif_aberrant_o17(( &
                     xtsol_avant_evap(iso_O17,i)/qsol_avant_evap(i)), &
@@ -15078,10 +14938,10 @@
                     /qsol_avant_evap(i)),'iso_surf_ter 1390')
                 endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-              endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then  
+              endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
            ! end verif du sol
        
        ! calcul de h1
-       if (tsurf(i).lt.t_coup) then
+       if (tsurf(i).lt.t_coup) THEN
            zqs(i)=qsats(tsurf(i))/ps(i)
 #ifdef ISOVERIF            
@@ -15094,7 +14954,7 @@
            CALL iso_verif_positif(zqs(i),'calcul_iso_surf 1187')
            if (iso_verif_positif_nostop(0.15-zqs(i),& 
-                  'calcul_iso_surf 1188').eq.1) then
-                write(*,*) 'tsurf(i)=',tsurf(i)-t_coup,'°C'
-                if (tsurf(i)-t_coup.lt.50.0) then
+                  'calcul_iso_surf 1188').eq.1) THEN
+                WRITE(*,*) 'tsurf(i)=',tsurf(i)-t_coup,'°C'
+                if (tsurf(i)-t_coup.lt.50.0) THEN
                    stop
                 endif
@@ -15117,22 +14977,22 @@
 #endif  
 #ifdef ISOVERIF       
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
           CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
                  'calcul_iso_surf_ter 700',errmax*10,errmaxrel*10)
-         endif !if (iso_eau.gt.0) then
+         endif !if (iso_eau.gt.0) THEN
          if ((iso_HDO.gt.0).and. &
-                 (qsol_avant_evap(i).gt.ridicule_qsol*1e2)) then
+                 (qsol_avant_evap(i).gt.ridicule_qsol*1e2)) THEN
           CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
                  'calcul_iso_surf_ter 703')
          endif
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if (qsol_avant_evap(i).gt.ridicule_qsol) then
+         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if (qsol_avant_evap(i).gt.ridicule_qsol) THEN
               CALL iso_verif_aberrant_o17(Rsol(iso_o17),Rsol(iso_o18), &
                  'iso_surf_ter 1447')
             endif !if ((qsol_prec(i).gt.ridicule).and.(xtsol_prec(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
         if ((bidouille_anti_divergence).and. &
-                 (iso_eau.gt.0))  then
+                 (iso_eau.gt.0))  THEN
             Rsol(iso_eau)=1.0
         endif
@@ -15149,5 +15009,5 @@
           enddo   
 #endif
-          if (q1lay(i).gt.0.0) then
+          if (q1lay(i).gt.0.0) THEN
               do ixt=1,niso  
                 R1(ixt)=xt1lay(ixt,i)/q1lay(i)
@@ -15155,5 +15015,5 @@
           else
 #ifdef ISOVERIF              
-              write(*,*) 'calcul_iso_surf 1415: q1lay=',q1lay(i)
+              WRITE(*,*) 'calcul_iso_surf 1415: q1lay=',q1lay(i)
               stop  
 #endif              
@@ -15180,5 +15040,5 @@
 
          ! calcul de l'évap
-         if (alphak_stewart.eq.1) then
+         if (alphak_stewart.eq.1) THEN
              ! calcul de alphak en accord avec stewart, mathieu et
              ! Bariac
@@ -15197,20 +15057,19 @@
          
          qevap(i)=sol_evap(i)*dtime ! quantité d'eau du sol perdue par evap
-         if (tsurf(i).gt.t_coup) then
+         if (tsurf(i).gt.t_coup) THEN
              ! Pveg est la fraction d'eau évaporée sans fractionnement
              Pveg=P_veg
-         else !if (tsurf(i).gt.t_coup) then
+         else !if (tsurf(i).gt.t_coup) THEN
              ! à 0°C, on sublime, donc on révap tout sans fractionnement
              Pveg=1.0
-         endif !if (tsurf(i).gt.t_coup) then
-
+         endif !if (tsurf(i).gt.t_coup) THEN
          ! calcul de ce que donnerait l'évap du sol nu
          
 #ifdef ISOVERIF         
-         if (P_veg.eq.1.0) then
+         if (P_veg.eq.1.0) THEN
          CALL iso_verif_egalite(Pveg,1.0,'calcul_iso_surf_ter 1314')
         endif
 #endif         
-        if (Pveg.gt.1.0-1e-3) then
+        if (Pveg.gt.1.0-1e-3) THEN
             do ixt=1,niso
               xtnu(ixt,i)=0.0
@@ -15221,16 +15080,15 @@
             tsurf(i),alphak, L, xtnu(1,i),Pveg)
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) then        
+         if (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(xtnu(iso_eau,i),qevap(i),&
                  'calcul_iso_surf_ter 1253',errmax,errmaxrel)
          endif
-         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-            if (qevap(i).gt.ridicule_evap) then
+         if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+            if (qevap(i).gt.ridicule_evap) THEN
               CALL iso_verif_aberrant_o17(xtnu(iso_O17,i) &
                  /qevap(i),xtnu(iso_O18,i)/qevap(i), &
                  'iso_surf_ter 1623')
-          endif !if (qevap(i).gt.ridicule_evap) then
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-
+          endif !if (qevap(i).gt.ridicule_evap) THEN
+        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif                  
         endif     
@@ -15249,22 +15107,22 @@
          enddo !do ixt=1,niso
 
-         if (evap_cont_cste.eq.1) then
+         if (evap_cont_cste.eq.1) THEN
              ! on fixe la compo de l'évap continentale
-             if (iso_eau.gt.0) then
+             if (iso_eau.gt.0) THEN
                  xtsol_evap(iso_eau,i)=sol_evap(i)
              endif
-             if (iso_O18.gt.0) then
+             if (iso_O18.gt.0) THEN
                  xtsol_evap(iso_O18,i)=sol_evap(i) &
                    *(deltaO18_evap_cont/1000.+1.)*tnat(iso_O18)
              endif
-             if (iso_HDO.gt.0) then 
+             if (iso_HDO.gt.0) THEN
                  xtsol_evap(iso_HDO,i)=sol_evap(i) &
                   *((d_evap_cont+8*deltaO18_evap_cont)/1000.+1.) &
                   *tnat(iso_HDO)
              endif
-             if (iso_O17.gt.0) then
+             if (iso_O17.gt.0) THEN
                  xtsol_evap(iso_O17,i)=0.0
              endif
-             if (iso_HTO.gt.0) then
+             if (iso_HTO.gt.0) THEN
                  xtsol_evap(iso_HTO,i)=0.0
              endif
@@ -15272,5 +15130,5 @@
 
 #ifdef ISOTRAC
-        if (option_traceurs.eq.20) then
+        if (option_traceurs.eq.20) THEN
            izone_recoit=bassin_map(knindex(i))
         else
@@ -15279,5 +15137,5 @@
 
         do ixt=niso+1,ntraciso
-           if (index_zone(ixt).eq.izone_recoit) then
+           if (index_zone(ixt).eq.izone_recoit) THEN
              xtsol_evap(ixt,i)=xtsol_evap(index_iso(ixt),i)
            else
@@ -15298,5 +15156,5 @@
 #endif           
 #ifdef ISOVERIF
-           if (iso_eau.gt.0) then 
+           if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                  xtsol_evap(iso_eau,i), &
@@ -15306,14 +15164,14 @@
                  (qsol_avant_deversement(i)), &
                  'calcul_iso_surf_ter 2976',errmax,errmaxrel)
-           endif !if (iso_eau.gt.0) then  
-           if (iso_HDO.gt.0) then
-             if (abs(sol_evap(i)).gt.ridicule_evap) then
+           endif !if (iso_eau.gt.0) THEN
+           if (iso_HDO.gt.0) THEN
+             if (abs(sol_evap(i)).gt.ridicule_evap) THEN
               if (iso_verif_aberrant_nostop( &
                  xtsol_evap(iso_HDO,i)/sol_evap(i), &
-                 'calcul_iso_surf_ter 3273: sur terre').eq.1) then
-!                   write(*,*) 'deltaDsol=',deltaD(Rsol(ixt))
+                 'calcul_iso_surf_ter 3273: sur terre').eq.1) THEN
+!                   WRITE(*,*) 'deltaDsol=',deltaD(Rsol(ixt))
                    ! on ne plante que si ca donne lieu à des valeurs
                    ! aberrante de deltaD1
-                   write(*,*) 'deltaD1new=',deltaD( &
+                   WRITE(*,*) 'deltaD1new=',deltaD( &
                          (xtsol_evap(iso_hdo,i)*dtime+q10*R1(iso_hdo)) &
                          /(sol_evap(i)*dtime+q10))
@@ -15323,8 +15181,8 @@
                         'calcul_iso_surf_ter 1390')
               endif  !if (iso_verif_aberrant  
-             endif !if (abs(evap(i)).gt.ridicule_rain*1e-2) then
+             endif !if (abs(evap(i)).gt.ridicule_rain*1e-2) THEN
              if (iso_verif_aberrant_choix_nostop(xtsol_evap(iso_HDO,i), &
                  sol_evap(i),ridicule,1e5, &
-                 'calcul_iso_surf_ter 1403').eq.1) then
+                 'calcul_iso_surf_ter 1403').eq.1) THEN
                 CALL iso_verif_aberrant( &
                          (xtsol_evap(iso_hdo,i)*dtime+q10*R1(iso_hdo)) &
@@ -15332,61 +15190,61 @@
                         'calcul_iso_surf_ter 1390')
               endif
-              if (qsol_avant_deversement(i).gt.ridicule_qsol*1e2) then
+              if (qsol_avant_deversement(i).gt.ridicule_qsol*1e2) THEN
                 if (iso_verif_aberrant_nostop(xtsol(iso_HDO,i)& 
                          /(qsol_avant_deversement(i)) &
-                       /faccond, 'calcul_iso_surf_ter 1542').eq.1) then
-                  write(*,*) 'i, qsol(i)=',i, qsol(i)
-                  write(*,*) 'qsol_avant_evap,qevap,L=', &
+                       /faccond, 'calcul_iso_surf_ter 1542').eq.1) THEN
+                  WRITE(*,*) 'i, qsol(i)=',i, qsol(i)
+                  WRITE(*,*) 'qsol_avant_evap,qevap,L=', &
                          qsol_avant_evap(i),qevap(i),L
-                  write(*,*) 'deltaDsol_avant_evap',deltaD( &
+                  WRITE(*,*) 'deltaDsol_avant_evap',deltaD( &
                        (xtsol_avant_evap(iso_HDO,i) &
                         /qsol_avant_evap(i)))
-                  write(*,*) 'deltaDRsol=',deltaD(Rsol(iso_HDO))
-                  write(*,*) 'deltaDsol_evap=',deltaD( &
+                  WRITE(*,*) 'deltaDRsol=',deltaD(Rsol(iso_HDO))
+                  WRITE(*,*) 'deltaDsol_evap=',deltaD( &
                        xtnu(iso_HDO,i)/qevap(i))
-                  write(*,*) 'h1(i),f=',h1(i),max((min(L, &
+                  WRITE(*,*) 'h1(i),f=',h1(i),max((min(L, &
                          (qsol_avant_evap(i)))-qevap(i)) &
                          /min(L,(qsol_avant_evap(i))),0.0)
                   stop
                 endif
-              endif !if (qsol(i).gt.ridicule_qsol) then
-           endif  !if (iso_HDO.gt.0) then 
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-             if (qevap(i).gt.ridicule_evap) then 
+              endif !if (qsol(i).gt.ridicule_qsol) THEN
+           endif  !if (iso_HDO.gt.0) THEN
+           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+             if (qevap(i).gt.ridicule_evap) THEN
                CALL iso_verif_aberrant_o17(xtnu(iso_O17,i) &
                  /qevap(i),xtnu(iso_O18,i)/qevap(i), &
                  'iso_surf_ter 1626')
             endif 
-            if (sol_evap(i).gt.ridicule_evap) then 
+            if (sol_evap(i).gt.ridicule_evap) THEN
                CALL iso_verif_aberrant_o17(xtsol_evap(iso_O17,i) &
                  /sol_evap(i),xtsol_evap(iso_O18,i)/sol_evap(i), &
                  'iso_surf_ter 1631')
             endif
-            if (qsol(i).gt.ridicule_qsol) then               
+            if (qsol(i).gt.ridicule_qsol) THEN
               if (iso_verif_aberrant_o17_nostop(xtsol(iso_O17,i) &
                  /(qsol_avant_deversement(i)), &
                  xtsol(iso_O18,i) &
                  /(qsol_avant_deversement(i)), &
-                 'iso_surf_ter 1623').eq.1) then
-                  write(*,*) 'i, qsol(i)=',i,qsol_avant_deversement(i)
-                  write(*,*) 'qsol_avant_evap,qevap,L=', &
+                 'iso_surf_ter 1623').eq.1) THEN
+                  WRITE(*,*) 'i, qsol(i)=',i,qsol_avant_deversement(i)
+                  WRITE(*,*) 'qsol_avant_evap,qevap,L=', &
                          qsol_avant_evap(i),qevap(i),L
-                  write(*,*) 'o17excess_sol_avant_evap',o17excess( &
+                  WRITE(*,*) 'o17excess_sol_avant_evap',o17excess( &
                        (xtsol_avant_evap(iso_o17,i) &
                         /qsol_avant_evap(i)),( &
                         xtsol_avant_evap(iso_o18,i)/qsol_avant_evap(i)))
-                  write(*,*) 'o17excess_sol_evap=',o17excess( &
+                  WRITE(*,*) 'o17excess_sol_evap=',o17excess( &
                      xtsol_evap(iso_o17,i)/sol_evap(i), &
                      xtsol_evap(iso_o18,i)/sol_evap(i))
-                  write(*,*) 'h1(i),f=',h1(i),max((min(L, &
+                  WRITE(*,*) 'h1(i),f=',h1(i),max((min(L, &
                          (qsol_avant_evap(i)))-qevap(i)) &
                          /min(L,(qsol_avant_evap(i))),0.0)
-                  write(*,*) 'qsol_avant_evap,sol_evap,qsol,dt=', &
+                  WRITE(*,*) 'qsol_avant_evap,sol_evap,qsol,dt=', &
                         qsol_avant_evap(i),sol_evap(i),&
                         qsol_avant_deversement(i),dtime
-                  write(*,*) 'qsol_avant_evap17,sol_evap17,qsol17=', &
+                  WRITE(*,*) 'qsol_avant_evap17,sol_evap17,qsol17=', &
                          xtsol_avant_evap(iso_o17,i), &
                          xtsol_evap(iso_o17,i),xtsol(iso_o17,i)
-                  write(*,*) 'qsol_avant_evap18,sol_evap17,qsol18=', &
+                  WRITE(*,*) 'qsol_avant_evap18,sol_evap17,qsol18=', &
                          xtsol_avant_evap(iso_o18,i), &
                          xtsol_evap(iso_o18,i),xtsol(iso_o18,i)
@@ -15394,5 +15252,5 @@
               endif !if (iso_verif_aberrant_o17_nostop(xtsol(iso_O17,i)
             endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then     
+          endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC
           CALL iso_verif_traceur(xtsol_evap(1,i), &
@@ -15406,5 +15264,5 @@
         do icas=1,ncas_noevap
           i=cas_noevap(icas)
-!          write(*,*) 'calcul_iso_surf_oce 3175: pas d''évap'
+!          WRITE(*,*) 'calcul_iso_surf_oce 3175: pas d''évap'
           do ixt=1,ntraciso
             xtsol_evap(ixt,i)=0.0
@@ -15419,7 +15277,7 @@
           i=cas_rosee(icas)      
           ! evap<0 -> on condense.
-!          write(*,*) 'calcul_iso_surf_oce 3176: condense: sol_evap(i)=',
+!          WRITE(*,*) 'calcul_iso_surf_oce 3176: condense: sol_evap(i)=',
 !     :           sol_evap(i)          
-!          write(*,*) 'calcul_iso_surf_ter 716: dtime=',dtime
+!          WRITE(*,*) 'calcul_iso_surf_ter 716: dtime=',dtime
 !          Mair=100*100/9.8
           CALL iso_rosee_givre(xt1lay,q1lay,tsurf,t_coup,  &
@@ -15430,5 +15288,5 @@
           ! sol_evap est divisé sans fractionnement en une partie   
           ! dirigée vers le sol, et une partie partant en ruissellement
-          if (abs(sol_evap(i)).gt.0.0) then
+          if (abs(sol_evap(i)).gt.0.0) THEN
             do ixt=1,niso
              xtsol_evap_eff(ixt,i)=xtsol_evap(ixt,i) &
@@ -15437,6 +15295,6 @@
              if (iso_verif_noNaN_nostop(( &
                  xtsol_evap_eff(ixt,i)),'iso_surf_ter 1790') &
-                 .eq.1) then
-               write(*,*) 'xtsol_evap,sol_evap,sol_evap_eff=', &
+                 .eq.1) THEN
+               WRITE(*,*) 'xtsol_evap,sol_evap,sol_evap_eff=', &
                  xtsol_evap(ixt,i),sol_evap(i),sol_evap_eff(i)
                stop
@@ -15444,5 +15302,5 @@
 #endif             
             enddo !do ixt=1,niso
-          else ! if (sol_evap.gt.0.0) then
+          else ! if (sol_evap.gt.0.0) THEN
 #ifdef ISOVERIF           
              CALL iso_verif_egalite(sol_evap_eff(i),0.0, &
@@ -15452,7 +15310,6 @@
              xtsol_evap_eff(ixt,i)=0.0
            enddo !do ixt=1,niso
-          endif !if (sol_evap.gt.0.0) then
-
-          if (ruissellement_pluie.eq.1) then
+          endif !if (sol_evap.gt.0.0) THEN
+          if (ruissellement_pluie.eq.1) THEN
             do ixt=1,niso
               xtrun_off(ixt,i)=xtrun_off(ixt,i)+(xtsol_evap_eff(ixt,i) &
@@ -15461,6 +15318,5 @@
              runoff_tmp(i)=runoff_tmp(i) &
                  +(sol_evap_eff(i)-sol_evap(i))*dtime
-          endif !if (ruissellement_pluie.eq.1) then
-
+          endif !if (ruissellement_pluie.eq.1) THEN
 #ifdef ISOVERIF
           do ixt=1,niso
@@ -15471,5 +15327,5 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) then  
+          if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix( &
                  (xtsol_evap_eff(iso_eau,i)), &
@@ -15478,5 +15334,5 @@
                  errmax,errmaxrel)
           endif
-          if (iso_HDO.gt.0) then
+          if (iso_HDO.gt.0) THEN
               ! si il y a rosée, il faut que le flux d'isotopes soit
               ! aussi négatif
@@ -15505,5 +15361,5 @@
 #endif
 #ifdef ISOVERIF
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(xtsol(iso_eau,i), &
                   (qsol_avant_deversement(i)), &
@@ -15514,12 +15370,12 @@
                     sol_evap(i), &
                     'calcul_iso_surf_ter 771',errmax,errmaxrel)
-              endif !if (iso_eau.gt.0) then  
-              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
-               if (abs(evap(i)).gt.ridicule_evap) then
+              endif !if (iso_eau.gt.0) THEN
+              if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+               if (abs(evap(i)).gt.ridicule_evap) THEN
                 CALL iso_verif_aberrant_o17(xtsol_evap(iso_O17,i) &
                  /sol_evap(i),xtsol_evap(iso_O18,i) &
                  /sol_evap(i),'calcul_iso_surf 1754')
-              endif !if (qsol(i).gt.ridicule) then
-             endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) then
+              endif !if (qsol(i).gt.ridicule) THEN
+             endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
 #endif
                     
@@ -15528,7 +15384,7 @@
         ! deversement du trop plein  
         ! seulement si c'est le sol qu'on fait ruisseller:
-        if (ruissellement_pluie.eq.0) then  
+        if (ruissellement_pluie.eq.0) THEN
           do i=1,knon  
-          if (qsol_avant_deversement(i).gt.max_eau_sol) then     
+          if (qsol_avant_deversement(i).gt.max_eau_sol) THEN
               do ixt=1,niso
                 xtrun_off(ixt,i)=run_off(i)*xtsol(ixt,i) &
@@ -15537,5 +15393,5 @@
                          *max_eau_sol,max_eau_sol)
 #ifdef ISOVERIF 
-                if (iso_eau.gt.0) then
+                if (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite_choix(run_off(i), &
                        xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1774', &
@@ -15544,5 +15400,5 @@
 #endif                
               enddo  
-          else !if (qsol_avant_deversement(i).gt.max_eau_sol) then
+          else !if (qsol_avant_deversement(i).gt.max_eau_sol) THEN
 #ifdef ISOVERIF               
                CALL iso_verif_egalite(run_off(i),0.0, &
@@ -15552,7 +15408,7 @@
                xtrun_off(ixt,i)=0.0 
               enddo               
-          endif !if (qsol(i).gt.max_eau_sol) then
+          endif !if (qsol(i).gt.max_eau_sol) THEN
           enddo ! do i=1,knon  
-      else if (ruissellement_pluie.eq.1) then
+      else if (ruissellement_pluie.eq.1) THEN
             ! on vérifie que rien ne déborde
 #ifdef ISOVERIF  
@@ -15561,15 +15417,14 @@
                  max_eau_sol-(qsol_avant_deversement(i)), &
                  ridicule_qsol,'calcul_iso_surf_ter 935')
-            if (iso_eau.gt.0) then
+            if (iso_eau.gt.0) THEN
             call  iso_verif_egalite_choix(runoff_tmp(i), &
                        xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1794', &
                        errmax,errmaxrel)
-            endif !if (iso_eau.gt.0) then
-            
-!            write(*,*) 'tmp ter 1929: i,runoff_tmp,run_off=',
+            endif !if (iso_eau.gt.0) THEN
+!            WRITE(*,*) 'tmp ter 1929: i,runoff_tmp,run_off=',
 !     :           i,runoff_tmp(i),run_off(i)
            if (iso_verif_egalite_choix_nostop(runoff_tmp(i), &
                 run_off(i),'calcul_iso_surf_ter 1772', &
-                errmax_sol*max(qsol_prec(i),1.0),errmaxrel).eq.1) then
+                errmax_sol*max(qsol_prec(i),1.0),errmaxrel).eq.1) THEN
            ! il y a beaucoup d'inprecision associée à runoff, car dans
            ! LMDZ, runoff=qsol-max_eau_sol (cf fonte_neige).
@@ -15577,21 +15432,21 @@
            ! la precision sur le résultat ne peut pas être meilleure que
            ! 1e-5.
-            write(*,*) 'i,max_eau_sol=',i,max_eau_sol            
-            write(*,*) 'qsol_prec=',qsol_prec(i) 
-            write(*,*) 'precip_rain*dt=',precip_rain(i)*dtime
-            write(*,*) 'fq_fonte_neige=',fq_fonte_neige(i)
-            write(*,*) 'sol_evap*dt=',sol_evap(i)*dtime
-            write(*,*) 'precip_rain_eff*dt=',precip_rain_eff(i)*dtime
-            write(*,*) 'fq_fonte_neige_eff=',fq_fonte_neige_eff(i)
-            write(*,*) 'sol_evap_eff*dt=',sol_evap_eff(i)*dtime
-            write(*,*) 'qsol_avant_evap=',qsol_avant_evap(i)
-            write(*,*) 'qsol_avant_deversement=',  &
+            WRITE(*,*) 'i,max_eau_sol=',i,max_eau_sol
+            WRITE(*,*) 'qsol_prec=',qsol_prec(i)
+            WRITE(*,*) 'precip_rain*dt=',precip_rain(i)*dtime
+            WRITE(*,*) 'fq_fonte_neige=',fq_fonte_neige(i)
+            WRITE(*,*) 'sol_evap*dt=',sol_evap(i)*dtime
+            WRITE(*,*) 'precip_rain_eff*dt=',precip_rain_eff(i)*dtime
+            WRITE(*,*) 'fq_fonte_neige_eff=',fq_fonte_neige_eff(i)
+            WRITE(*,*) 'sol_evap_eff*dt=',sol_evap_eff(i)*dtime
+            WRITE(*,*) 'qsol_avant_evap=',qsol_avant_evap(i)
+            WRITE(*,*) 'qsol_avant_deversement=',  &
                          qsol_avant_deversement(i)
-            write(*,*) 'run_off=',run_off(i)
-            write(*,*) 'runoff_tmp=',runoff_tmp(i)
-!            write(*,*) 'xtsol_prec=',xtsol_prec(iso_eau,i)
-!            write(*,*) 'xtsol_avant_evap=',xtsol_avant_evap(iso_eau,i) 
-!            write(*,*) 'xtprecip_rain_eff=',xtprecip_rain_eff(iso_eau,i)
-!            write(*,*) 'fxt_fonte_neige_eff=',
+            WRITE(*,*) 'run_off=',run_off(i)
+            WRITE(*,*) 'runoff_tmp=',runoff_tmp(i)
+!            WRITE(*,*) 'xtsol_prec=',xtsol_prec(iso_eau,i)
+!            WRITE(*,*) 'xtsol_avant_evap=',xtsol_avant_evap(iso_eau,i)
+!            WRITE(*,*) 'xtprecip_rain_eff=',xtprecip_rain_eff(iso_eau,i)
+!            WRITE(*,*) 'fxt_fonte_neige_eff=',
 !     :                   fxt_fonte_neige_eff(iso_eau,i)
               stop
@@ -15602,5 +15457,5 @@
          ! rectification éventuelle du runoff
         do i=1,knon
-         if (runoff_tmp(i).gt.0.0) then
+         if (runoff_tmp(i).gt.0.0) THEN
           do ixt=1,niso   
            xtrun_off(ixt,i)=xtrun_off(ixt,i)/runoff_tmp(i)*run_off(i)
@@ -15610,5 +15465,5 @@
 #ifdef ISOVERIF
         do i=1,knon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(run_off(i), &
               xtrun_off(iso_eau,i),'calcul_iso_surf_ter 1834', &
@@ -15618,9 +15473,8 @@
 #endif       
         else
-          write(*,*) 'calcul_iso_surf 1764: option non valide:'  
-          write(*,*) 'ruissellement_pluie=',ruissellement_pluie
+          WRITE(*,*) 'calcul_iso_surf 1764: option non valide:'
+          WRITE(*,*) 'ruissellement_pluie=',ruissellement_pluie
           stop
-        endif !if (ruissellement_pluie.eq.0) then 
-
+        endif !if (ruissellement_pluie.eq.0) THEN
         ! on en déduit l'évap vers l'atm:
         do i=1,knon
@@ -15649,17 +15503,17 @@
 #ifdef ISOVERIF
         do i=1,knon
-              if (iso_eau.gt.0) then  
+              if (iso_eau.gt.0) THEN
                  if (iso_verif_egalite_choix_nostop( &
                      xtevap(iso_eau,i),evap(i), &
                      'calcul_iso_surf_ter 1059',errmax,errmaxrel) &
-                     .eq.1) then
-                   write(*,*) 'xtevap(iso_eau,i)=',xtevap(iso_eau,i)
-                   write(*,*) 'evap(i)=',evap(i)
-                   write(*,*) 'xtsol_evap(iso_eau,i)=', &
+                     .eq.1) THEN
+                   WRITE(*,*) 'xtevap(iso_eau,i)=',xtevap(iso_eau,i)
+                   WRITE(*,*) 'evap(i)=',evap(i)
+                   WRITE(*,*) 'xtsol_evap(iso_eau,i)=', &
                          xtsol_evap(iso_eau,i)
-                   write(*,*) 'sol_evap(i)=',sol_evap(i)
-                   write(*,*) 'xtsnow_evap(iso_eau,i)=', &
+                   WRITE(*,*) 'sol_evap(i)=',sol_evap(i)
+                   WRITE(*,*) 'xtsnow_evap(iso_eau,i)=', &
                          xtsnow_evap(iso_eau,i)
-                   write(*,*) 'snow_evap(i)=',snow_evap(i)
+                   WRITE(*,*) 'snow_evap(i)=',snow_evap(i)
                    stop                   
                  endif
@@ -15672,28 +15526,28 @@
                  if (iso_verif_positif_nostop( &
                          max_eau_sol-xtsol(iso_eau,i), &
-                         'calcul_iso_surf_ter 746b').eq.1) then
-                   write(*,*) 'i=',i
-                   write(*,*) 'max_eau_sol=',max_eau_sol
-                   write(*,*) 'qsol(i)=',qsol(i)
-                   write(*,*) 'xtsol(iso_eau,i)=',xtsol(iso_eau,i)
-                   write(*,*) 'qsol_avant_deversement(i)=', &
+                         'calcul_iso_surf_ter 746b').eq.1) THEN
+                   WRITE(*,*) 'i=',i
+                   WRITE(*,*) 'max_eau_sol=',max_eau_sol
+                   WRITE(*,*) 'qsol(i)=',qsol(i)
+                   WRITE(*,*) 'xtsol(iso_eau,i)=',xtsol(iso_eau,i)
+                   WRITE(*,*) 'qsol_avant_deversement(i)=', &
                          qsol_avant_deversement(i)
-                   write(*,*) 'precip_rain(i)=',precip_rain(i)
-                   write(*,*) 'precip_rain_eff(i)=',precip_rain_eff(i)
-                   write(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
-                   write(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
-                   write(*,*) 'qsol_prec(i)=',qsol_prec(i)
-                   write(*,*) 'sol_evap(i)=',sol_evap(i)
-                   write(*,*) 'xtprecip_rain(iso_eau,i)=', &
+                   WRITE(*,*) 'precip_rain(i)=',precip_rain(i)
+                   WRITE(*,*) 'precip_rain_eff(i)=',precip_rain_eff(i)
+                   WRITE(*,*) 'fq_fonte_neige(i)=',fq_fonte_neige(i)
+                   WRITE(*,*) 'qsol_avant_evap(i)=',qsol_avant_evap(i)
+                   WRITE(*,*) 'qsol_prec(i)=',qsol_prec(i)
+                   WRITE(*,*) 'sol_evap(i)=',sol_evap(i)
+                   WRITE(*,*) 'xtprecip_rain(iso_eau,i)=', &
                          xtprecip_rain(iso_eau,i)
-                   write(*,*) 'xtprecip_rain_eff(iso_eau,i)=', &
+                   WRITE(*,*) 'xtprecip_rain_eff(iso_eau,i)=', &
                          xtprecip_rain_eff(iso_eau,i)
-                   write(*,*) 'xtsol_avant_evap(iso_eau,i)=', &
+                   WRITE(*,*) 'xtsol_avant_evap(iso_eau,i)=', &
                          xtsol_avant_evap(iso_eau,i)
-                   write(*,*) 'xtsol_prec(iso_eau,i)=', &
+                   WRITE(*,*) 'xtsol_prec(iso_eau,i)=', &
                          xtsol_prec(iso_eau,i)
-                   write(*,*) 'xtsol_evap(iso_eau,i)=', &
+                   WRITE(*,*) 'xtsol_evap(iso_eau,i)=', &
                          xtsol_evap(iso_eau,i)
-                   if (xtsol(iso_eau,i)-max_eau_sol.gt.1e-9) then
+                   if (xtsol(iso_eau,i)-max_eau_sol.gt.1e-9) THEN
                       stop
                    else
@@ -15702,6 +15556,6 @@
                    endif
                  endif
-              endif !if (iso_eau.gt.0) then
-              if (iso_HDO.gt.0) then  
+              endif !if (iso_eau.gt.0) THEN
+              if (iso_HDO.gt.0) THEN
                  CALL iso_verif_aberrant_choix(xtsnow(iso_HDO,i),snow(i), &
                         ridicule_snow,deltalim_snow, 'calcul_iso_surf_ter 749')
